package com.ruoyi.web.v3.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v3.entity.HbDisinfectEntity;
import com.ruoyi.web.v3.model.request.HbDisinfectPageReq;

/**
 * <p>
 * v3.0 消毒记录 服务类
 * </p>
 */
public interface IHbDisinfectService extends IService<HbDisinfectEntity> {

    AjaxResult add(HbDisinfectEntity request);

    AjaxResult edit(HbDisinfectEntity request);

    AjaxResult delete(String ids);

    AjaxResult page(HbDisinfectPageReq request);

    AjaxResult listAll();
}
